import java.awt.Color;
/**
 * Class for specifying a level's
 * information. Things that could be
 * added (depending on your game)
 * are things like terrain information,
 * spawn positions, etc.
 */
public class LevelInfo {
    private int totalEnemies;
    private int enemyMaxHealth;
    private int enemySpeed;
    private int enemyValue;
    private Color backgroundColor;
    
    public LevelInfo(int totalEnemies, int enemyMaxHealth, int enemySpeed,
            int enemyValue, Color backgroundColor) {
        this.totalEnemies = totalEnemies;
        this.enemyMaxHealth = enemyMaxHealth;
        this.enemySpeed = enemySpeed;
        this.enemyValue = enemyValue;
        this.backgroundColor = backgroundColor;
    }
    
    public int getTotalEnemies() {
        return totalEnemies;
    }
    
    public int getEnemyMaxHealth() {
        return enemyMaxHealth;
    }
    
    public int getEnemySpeed() {
        return enemySpeed;
    }
    
    public int getEnemyValue() {
        return enemyValue;
    }
    
    public Color getBackgroundColor() {
        return backgroundColor;
    }
}
